#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# required stuff
tde_setup_architecture_flags( )
find_package( TQt )
find_package( TDE )

##### check for gcc visibility support #########
# FIXME
# This should check for [T]Qt3 visibility support

if( WITH_GCC_VISIBILITY )
  if( NOT UNIX )
    tde_message_fatal(FATAL_ERROR "\ngcc visibility support was requested, but your system is not *NIX" )
  endif( NOT UNIX )
  set( __KDE_HAVE_GCC_VISIBILITY 1 )
  set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
endif( )


if( BUILD_KOPETE OR BUILD_KPPP )
  check_include_file( string.h HAVE_STRING_H )
endif( )

if( WITH_SLP )
  check_library_exists( slp "SLPOpen" "" HAVE_SLP )
  if( HAVE_SLP )
    set(LIB_SLP slp )
  else( )
    tde_message_fatal( "openslp is required, but was not found on your system" )
  endif( )
endif( )
